package org.test.ui.components;
import com.vaadin.flow.dom.Element;

/**
 * Add a tooltip to a dom element
 * 
 * @author ahirsch
 *
 */
public class Tooltip {
	/**
	 * 
	 * @param elem the DOM Element to add the tooltip. Use getElement() of your vaadin component to get the DOM Element
	 * @param tooltip the string of the tooltip. Could contains HTML
	 */
	public static void addTo(Element elem, String tooltip){
		Element jtooltip = new Element("j-tooltip");
		Element template = new Element("template");		
		template.setProperty("innerHTML", tooltip);
		jtooltip.appendChild(template);	
		elem.appendChild(jtooltip);
	}
}
